# List Fields

Source: https://www.digiparser.com/docs/api/listFields

# List Fields

Server URL`loading...`

GET

/`api`/`v1`/`parsers`/`{parserId}`/`fields`

Send

Authorization

Path

List scalar fields and table fields for a parser.

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

parserId\*string

The ID of the parser

Format`uuid`

## [Response Body](#response-body)

### 200

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X GET "https://api.digiparser.com/api/v1/parsers/d1458cd7-8692-488f-8b3f-0fddade05f9c/fields"
```

200

```
{
  "fields": [
    {
      "id": "string",
      "name": "string",
      "type": "text",
      "description": "string",
      "instructions": "string",
      "required": true,
      "position": 0,
      "options": [
        "string"
      ],
      "columns": [
        {
          "id": "string",
          "name": "string",
          "type": "text",
          "description": "string",
          "instructions": "string",
          "required": true,
          "position": 0,
          "options": [
            "string"
          ],
          "columns": []
        }
      ]
    }
  ]
}
```

[

Duplicate Parser POST

Duplicate parser setup only. Documents, tokens, webhooks, credentials, and history are not copied.

](/docs/api/duplicateParser)[

Create Field POST

Create a scalar field or table field.

](/docs/api/createField)